IKEv1 iyo IKEv2 oo isticmaalaya fure la wadaagay hore: waxa ku kala duwan xaqiijinta
Labada noocba waxay caddeeyaan aqoonta furaha la wadaagay hore iyagoon dirin, laakiin waxay geliyaan xog kala duwan hash kala duwan. Isbarbar dhig labada raad.
Laba albaab oo lagu habeeyay isla fure la wadaagay hore waxay dhammeeyaan gacan-qabsasho, duubista baakaduhuna ma muujiso sir kasta oo xariiqda gudba. Taasi waa qaybta dadku xusuustaan. Qaybta xiisaha leh waa waxa nooc kastaa dhab ahaan xisaabiyo si uu u caddeeyo in sirta la yaqaan, maxaa yeelay IKEv1 iyo IKEv2 waxay caddayntaas ka dhisaan xog kala duwan waxayna daaha ka qaadaan macluumaad kala duwan inta ay taas samaynayaan. Akhri labada raad oo is barbar dhig, farqiguna wuu joojinayaa inuu qurxin noqdo.
Waxa caddayntu tahay inay gaadho
Diffie-Hellman waxay labada dhinac siinaysaa qiime wadaag ah oo qaybaha furan ay sidoo kale xisaabin karaan qof kasta oo fiirinaya. Keligeed waxba kama caddaynayso aqoonsiga: weeraryahan dhammeeya is-weydaarsiga fure wuxuu leeyahay isla qiimaha wadaagga ah ee albaabkaaga. Tallaabada xaqiijintu waxay u jirtaa inay is-weydaarsigaas ku xidho sir ay leeyihiin oo keliya dhinacyada loogu talagalay, iyo aqoonsiyada iyo halbeegyada ay ku heshiiyeen.
Xidhankaas ayaa sabab u ah in hash-ku ka badan furaha koobo. Haddii uu sirta oo keliya koobay, weeraryahan wuu ku celin lahaa is-weydaarsi kale oo leh aqoonsiyo ama soo-jeedinno kale.
IKEv1 Main Mode: soo saar SKEYID, ka dibna caddee
Main Mode waxay socodsiiyaan lix fariin. Lammaanaha koowaad waxay gorgortamaan ururka amni, kan labaad waxay is-weydaarsadaan qiimaha furan ee Diffie-Hellman iyo nonce, kan saddexaadna waxay qaadaan aqoonsiyo iyo hash xaqiijin ah hoosta sir-celin hadda la aasaasay. RFC 2409 ayaa qeexaysa dhismaha: xaqiijinta fure la wadaagay hore, SKEYID waxaa laga soo saaraa sirta iyo labada nonce, maaddada furaha dambeena SKEYID, qiimaha wadaagga Diffie-Hellman, cookies-ka iyo joogtada.
Hash-ka fariimaha shanaad iyo lixaad waxaa lagu xisaabiyaa qiimaha Diffie-Hellman, labada cookie, soo-jeedinta iyo aqoonsiga diraha, iyadoo SKEYID fure loo adeegsanayo. Qaataha wuxuu dib u xisaabiyaa isaga oo isticmaalaya sirtiisa la habeeyay. Is-waafaqi la'aantu waxay joojisaa is-weydaarsiga, sirta lafteeduna marnaba ma noqoto xamuul.
Aggressive Mode waxay isku soo ururisaa isla shaqada saddex fariin, taas oo macnaheedu yahay aqoonsiyada iyo hash xaqiijintu waxay socdaan ka hor inta aanu jirin kanaal sir ah. Taasi waa soo-gaadhista dhabta ah ee sirta la qiyaasi karo, wayna ka duwan tahay su'aasha ah in sirta la diray. IKEv1 waxaa duugoobay RFC 9395, sidaas darteed raad duug ah waa layli baaritaan, ma aha bartilmaameed deployment.
IKEv2: soo-saarid kale iyo xamuul AUTH kale
IKEv2 dib uma isticmaasho jadwalka furaha IKEv1. Furayaasha IKE ee bilowga ah waxay ka yimaadaan iniin laga dhisay nonce-yada iyo qiimaha wadaagga Diffie-Hellman, ururada amniga carruurtuna waxay ka soo baxaan taas. Furaha la wadaagay hore injiinka ma quudiyo haba yaraatee.
Xaqiijintu markaas waxay u muuqataa xamuul AUTH ah. Xaqiijinta fure wadaag ah, RFC 7296 waxay qeexaysaa qaab buuxin leh oo sirta ah, oo lagu helo iyadoo sirta lagu hash-gareeyo xarigga go'an Key Pad for IKEv2, ka dibna xogta is-weydaarsiga la saxeexay iyo aqoonsiga lagu hash-gareeyo furahaas buuxin leh. Xaqiijiyahu wuu dib u dhisi karaa isla qiimahaas; goobjooge ma karo, sirta la'aan.
Ogow waxa isbeddelay. IKEv1 sirta waxaa lagu daray jadwalka furaha ka hor inta aanu hash xaqiijintu jirin; IKEv2 jadwalka furaha wuu ka madax banaan yahay sirta, caddayntuna waa xamuul gaar ah oo ku xiran octet-yada la saxeexay. Isla dammaanad fikradeed, mishiin kale, taasina waa sababta magacyada halbeegyada iyo duubistu aanay mid-ka-mid u dhigmayn.
Waxa goobjooge dhab ahaan barto
Qiimaha furan ee Diffie-Hellman, soo-jeedinno, nonce iyo cookies waxay muuqdaan labada nooc. Aqoonsiyadu waxay muuqdaan IKEv1 Aggressive Mode waxaana la ilaaliyaa kiisaska kale. Sirta marnaba ma muuqato.
Jumladaas ugu dambaysa waxay leedahay xad mudan in la sheego. Sir tabar yar oo bini'aadam doortay waxaa lagu weerari karaa qiyaas: weeraryahanku wuxuu xisaabiyaa waxa qiimaha xaqiijintu noqon lahaa sir la qiyaasay kadibna wuu isbarbar dhigaa. IKEv1 Aggressive Mode ayaa tan uga dhigta midka ugu jaban sababtoo ah caddayntu way furan tahay, heerarkuna guud ahaan waxay ka digaan siro leh entropy hoose. Sirta marnaba dirin ma la mid aha si sir xun ammaan looga dhigo.
Waxa la sameeyo isbarbardhigga
Isticmaal hal sir oo gaar ah lammaan kasta oo dhinacyo, ka soo saar il random ah, kuna wareeji wadada isla diyaarinta ee qaybisay. Haddii sirta lagu kaydiyo qaab habayn ah oo loo diraa laan kasta, waxyeello hal goob ah waa waxyeello meel kasta.
Dooro xaqiijin ku salaysan shahaado halka kharashka hawlgalku la aqbali karo, maxaa yeelay waxay meesha ka saaraysaa dhibaatada qiyaasidda sirta wadaagga ah waxayna siinaysaa dhinac kasta aqoonsi gaar ah. Halka fure la wadaagay hore uu sii jiro, ka dhig mid dheer, xaddid baaxaddiisa, oo u qaado nooca IKE go'aan amni ah halkii aad ka dhigi lahayd faahfaahin is-dhexgal.